package org.silverpeas.mobile.shared.dto.authentication;

public class IUserProfileAutoBean extends com.google.web.bindery.autobean.shared.impl.AbstractAutoBean<org.silverpeas.mobile.shared.dto.authentication.IUserProfile> {
  private final org.silverpeas.mobile.shared.dto.authentication.IUserProfile shim = new org.silverpeas.mobile.shared.dto.authentication.IUserProfile() {
    public boolean isAnonymous()  {
      boolean toReturn = (boolean) IUserProfileAutoBean.this.getWrapped().isAnonymous();
      return toReturn;
    }
    public boolean isConnected()  {
      boolean toReturn = (boolean) IUserProfileAutoBean.this.getWrapped().isConnected();
      return toReturn;
    }
    public boolean isDeactivatedState()  {
      boolean toReturn = (boolean) IUserProfileAutoBean.this.getWrapped().isDeactivatedState();
      return toReturn;
    }
    public boolean isDeletedState()  {
      boolean toReturn = (boolean) IUserProfileAutoBean.this.getWrapped().isDeletedState();
      return toReturn;
    }
    public java.lang.String getAccessLevel()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getAccessLevel();
      return toReturn;
    }
    public java.lang.String getApiToken()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getApiToken();
      return toReturn;
    }
    public java.lang.String getAvatar()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getAvatar();
      return toReturn;
    }
    public java.lang.String getContactsUri()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getContactsUri();
      return toReturn;
    }
    public java.lang.String getDomainId()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getDomainId();
      return toReturn;
    }
    public java.lang.String getDomainName()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getDomainName();
      return toReturn;
    }
    public java.lang.String getFirstName()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getFirstName();
      return toReturn;
    }
    public java.lang.String getFullName()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getFullName();
      return toReturn;
    }
    public java.lang.String getId()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getId();
      return toReturn;
    }
    public java.lang.String getLanguage()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getLanguage();
      return toReturn;
    }
    public java.lang.String getLastName()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getLastName();
      return toReturn;
    }
    public java.lang.String getLogin()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getLogin();
      return toReturn;
    }
    public java.lang.String getSpecificId()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getSpecificId();
      return toReturn;
    }
    public java.lang.String getStatus()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getStatus();
      return toReturn;
    }
    public java.lang.String getUri()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getUri();
      return toReturn;
    }
    public java.lang.String getWebPage()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().getWebPage();
      return toReturn;
    }
    public java.lang.String geteMail()  {
      java.lang.String toReturn = (java.lang.String) IUserProfileAutoBean.this.getWrapped().geteMail();
      return toReturn;
    }
    public void setAccessLevel(java.lang.String accessLevel)  {
      IUserProfileAutoBean.this.getWrapped().setAccessLevel(accessLevel);
      IUserProfileAutoBean.this.set("setAccessLevel", accessLevel);
    }
    public void setAnonymous(boolean anonymous)  {
      IUserProfileAutoBean.this.getWrapped().setAnonymous(anonymous);
      IUserProfileAutoBean.this.set("setAnonymous", anonymous);
    }
    public void setApiToken(java.lang.String apiToken)  {
      IUserProfileAutoBean.this.getWrapped().setApiToken(apiToken);
      IUserProfileAutoBean.this.set("setApiToken", apiToken);
    }
    public void setAvatar(java.lang.String avatar)  {
      IUserProfileAutoBean.this.getWrapped().setAvatar(avatar);
      IUserProfileAutoBean.this.set("setAvatar", avatar);
    }
    public void setConnected(boolean connected)  {
      IUserProfileAutoBean.this.getWrapped().setConnected(connected);
      IUserProfileAutoBean.this.set("setConnected", connected);
    }
    public void setContactsUri(java.lang.String contactsUri)  {
      IUserProfileAutoBean.this.getWrapped().setContactsUri(contactsUri);
      IUserProfileAutoBean.this.set("setContactsUri", contactsUri);
    }
    public void setDeactivatedState(boolean deactivatedState)  {
      IUserProfileAutoBean.this.getWrapped().setDeactivatedState(deactivatedState);
      IUserProfileAutoBean.this.set("setDeactivatedState", deactivatedState);
    }
    public void setDeletedState(boolean deletedState)  {
      IUserProfileAutoBean.this.getWrapped().setDeletedState(deletedState);
      IUserProfileAutoBean.this.set("setDeletedState", deletedState);
    }
    public void setDomainId(java.lang.String domainId)  {
      IUserProfileAutoBean.this.getWrapped().setDomainId(domainId);
      IUserProfileAutoBean.this.set("setDomainId", domainId);
    }
    public void setDomainName(java.lang.String domainName)  {
      IUserProfileAutoBean.this.getWrapped().setDomainName(domainName);
      IUserProfileAutoBean.this.set("setDomainName", domainName);
    }
    public void setFirstName(java.lang.String firstName)  {
      IUserProfileAutoBean.this.getWrapped().setFirstName(firstName);
      IUserProfileAutoBean.this.set("setFirstName", firstName);
    }
    public void setFullName(java.lang.String fullName)  {
      IUserProfileAutoBean.this.getWrapped().setFullName(fullName);
      IUserProfileAutoBean.this.set("setFullName", fullName);
    }
    public void setId(java.lang.String id)  {
      IUserProfileAutoBean.this.getWrapped().setId(id);
      IUserProfileAutoBean.this.set("setId", id);
    }
    public void setLanguage(java.lang.String language)  {
      IUserProfileAutoBean.this.getWrapped().setLanguage(language);
      IUserProfileAutoBean.this.set("setLanguage", language);
    }
    public void setLastName(java.lang.String lastName)  {
      IUserProfileAutoBean.this.getWrapped().setLastName(lastName);
      IUserProfileAutoBean.this.set("setLastName", lastName);
    }
    public void setLogin(java.lang.String login)  {
      IUserProfileAutoBean.this.getWrapped().setLogin(login);
      IUserProfileAutoBean.this.set("setLogin", login);
    }
    public void setSpecificId(java.lang.String specificId)  {
      IUserProfileAutoBean.this.getWrapped().setSpecificId(specificId);
      IUserProfileAutoBean.this.set("setSpecificId", specificId);
    }
    public void setStatus(java.lang.String status)  {
      IUserProfileAutoBean.this.getWrapped().setStatus(status);
      IUserProfileAutoBean.this.set("setStatus", status);
    }
    public void setUri(java.lang.String uri)  {
      IUserProfileAutoBean.this.getWrapped().setUri(uri);
      IUserProfileAutoBean.this.set("setUri", uri);
    }
    public void setWebPage(java.lang.String webPage)  {
      IUserProfileAutoBean.this.getWrapped().setWebPage(webPage);
      IUserProfileAutoBean.this.set("setWebPage", webPage);
    }
    public void seteMail(java.lang.String eMail)  {
      IUserProfileAutoBean.this.getWrapped().seteMail(eMail);
      IUserProfileAutoBean.this.set("seteMail", eMail);
    }
    @Override public boolean equals(Object o) {
      return this == o || getWrapped().equals(o);
    }
    @Override public int hashCode() {
      return getWrapped().hashCode();
    }
    @Override public String toString() {
      return getWrapped().toString();
    }
  };
  { com.google.gwt.core.client.impl.WeakMapping.set(shim, com.google.web.bindery.autobean.shared.AutoBean.class.getName(), this); }
  public IUserProfileAutoBean(com.google.web.bindery.autobean.shared.AutoBeanFactory factory) {super(factory);}
  public IUserProfileAutoBean(com.google.web.bindery.autobean.shared.AutoBeanFactory factory, org.silverpeas.mobile.shared.dto.authentication.IUserProfile wrapped) {
    super(wrapped, factory);
  }
  public org.silverpeas.mobile.shared.dto.authentication.IUserProfile as() {return shim;}
  public Class<org.silverpeas.mobile.shared.dto.authentication.IUserProfile> getType() {return org.silverpeas.mobile.shared.dto.authentication.IUserProfile.class;}
  @Override protected org.silverpeas.mobile.shared.dto.authentication.IUserProfile createSimplePeer() {
    return new org.silverpeas.mobile.shared.dto.authentication.IUserProfile() {
      private final com.google.web.bindery.autobean.shared.Splittable data = org.silverpeas.mobile.shared.dto.authentication.IUserProfileAutoBean.this.data;
      public boolean isAnonymous()  {
        java.lang.Boolean toReturn = IUserProfileAutoBean.this.getOrReify("anonymous");
        return toReturn == null ? false : toReturn;
      }
      public boolean isConnected()  {
        java.lang.Boolean toReturn = IUserProfileAutoBean.this.getOrReify("connected");
        return toReturn == null ? false : toReturn;
      }
      public boolean isDeactivatedState()  {
        java.lang.Boolean toReturn = IUserProfileAutoBean.this.getOrReify("deactivatedState");
        return toReturn == null ? false : toReturn;
      }
      public boolean isDeletedState()  {
        java.lang.Boolean toReturn = IUserProfileAutoBean.this.getOrReify("deletedState");
        return toReturn == null ? false : toReturn;
      }
      public java.lang.String getAccessLevel()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("accessLevel");
      }
      public java.lang.String getApiToken()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("apiToken");
      }
      public java.lang.String getAvatar()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("avatar");
      }
      public java.lang.String getContactsUri()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("contactsUri");
      }
      public java.lang.String getDomainId()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("domainId");
      }
      public java.lang.String getDomainName()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("domainName");
      }
      public java.lang.String getFirstName()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("firstName");
      }
      public java.lang.String getFullName()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("fullName");
      }
      public java.lang.String getId()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("id");
      }
      public java.lang.String getLanguage()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("language");
      }
      public java.lang.String getLastName()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("lastName");
      }
      public java.lang.String getLogin()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("login");
      }
      public java.lang.String getSpecificId()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("specificId");
      }
      public java.lang.String getStatus()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("status");
      }
      public java.lang.String getUri()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("uri");
      }
      public java.lang.String getWebPage()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("webPage");
      }
      public java.lang.String geteMail()  {
        return (java.lang.String) IUserProfileAutoBean.this.getOrReify("eMail");
      }
      public void setAccessLevel(java.lang.String accessLevel)  {
        IUserProfileAutoBean.this.setProperty("accessLevel", accessLevel);
      }
      public void setAnonymous(boolean anonymous)  {
        IUserProfileAutoBean.this.setProperty("anonymous", anonymous);
      }
      public void setApiToken(java.lang.String apiToken)  {
        IUserProfileAutoBean.this.setProperty("apiToken", apiToken);
      }
      public void setAvatar(java.lang.String avatar)  {
        IUserProfileAutoBean.this.setProperty("avatar", avatar);
      }
      public void setConnected(boolean connected)  {
        IUserProfileAutoBean.this.setProperty("connected", connected);
      }
      public void setContactsUri(java.lang.String contactsUri)  {
        IUserProfileAutoBean.this.setProperty("contactsUri", contactsUri);
      }
      public void setDeactivatedState(boolean deactivatedState)  {
        IUserProfileAutoBean.this.setProperty("deactivatedState", deactivatedState);
      }
      public void setDeletedState(boolean deletedState)  {
        IUserProfileAutoBean.this.setProperty("deletedState", deletedState);
      }
      public void setDomainId(java.lang.String domainId)  {
        IUserProfileAutoBean.this.setProperty("domainId", domainId);
      }
      public void setDomainName(java.lang.String domainName)  {
        IUserProfileAutoBean.this.setProperty("domainName", domainName);
      }
      public void setFirstName(java.lang.String firstName)  {
        IUserProfileAutoBean.this.setProperty("firstName", firstName);
      }
      public void setFullName(java.lang.String fullName)  {
        IUserProfileAutoBean.this.setProperty("fullName", fullName);
      }
      public void setId(java.lang.String id)  {
        IUserProfileAutoBean.this.setProperty("id", id);
      }
      public void setLanguage(java.lang.String language)  {
        IUserProfileAutoBean.this.setProperty("language", language);
      }
      public void setLastName(java.lang.String lastName)  {
        IUserProfileAutoBean.this.setProperty("lastName", lastName);
      }
      public void setLogin(java.lang.String login)  {
        IUserProfileAutoBean.this.setProperty("login", login);
      }
      public void setSpecificId(java.lang.String specificId)  {
        IUserProfileAutoBean.this.setProperty("specificId", specificId);
      }
      public void setStatus(java.lang.String status)  {
        IUserProfileAutoBean.this.setProperty("status", status);
      }
      public void setUri(java.lang.String uri)  {
        IUserProfileAutoBean.this.setProperty("uri", uri);
      }
      public void setWebPage(java.lang.String webPage)  {
        IUserProfileAutoBean.this.setProperty("webPage", webPage);
      }
      public void seteMail(java.lang.String eMail)  {
        IUserProfileAutoBean.this.setProperty("eMail", eMail);
      }
    };
  }
  @Override protected void traverseProperties(com.google.web.bindery.autobean.shared.AutoBeanVisitor visitor, com.google.web.bindery.autobean.shared.impl.AbstractAutoBean.OneShotContext ctx) {
    com.google.web.bindery.autobean.shared.impl.AbstractAutoBean bean;
    Object value;
    com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext propertyContext;
    org.silverpeas.mobile.shared.dto.authentication.IUserProfile as = as();
    value = as.isAnonymous();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "anonymous"),
      boolean.class
    );
    if (visitor.visitValueProperty("anonymous", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("anonymous", value, propertyContext);
    value = as.isConnected();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "connected"),
      boolean.class
    );
    if (visitor.visitValueProperty("connected", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("connected", value, propertyContext);
    value = as.isDeactivatedState();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "deactivatedState"),
      boolean.class
    );
    if (visitor.visitValueProperty("deactivatedState", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("deactivatedState", value, propertyContext);
    value = as.isDeletedState();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "deletedState"),
      boolean.class
    );
    if (visitor.visitValueProperty("deletedState", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("deletedState", value, propertyContext);
    value = as.getAccessLevel();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "accessLevel"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("accessLevel", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("accessLevel", value, propertyContext);
    value = as.getApiToken();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "apiToken"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("apiToken", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("apiToken", value, propertyContext);
    value = as.getAvatar();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "avatar"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("avatar", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("avatar", value, propertyContext);
    value = as.getContactsUri();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "contactsUri"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("contactsUri", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("contactsUri", value, propertyContext);
    value = as.getDomainId();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "domainId"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("domainId", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("domainId", value, propertyContext);
    value = as.getDomainName();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "domainName"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("domainName", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("domainName", value, propertyContext);
    value = as.getFirstName();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "firstName"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("firstName", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("firstName", value, propertyContext);
    value = as.getFullName();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "fullName"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("fullName", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("fullName", value, propertyContext);
    value = as.getId();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "id"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("id", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("id", value, propertyContext);
    value = as.getLanguage();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "language"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("language", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("language", value, propertyContext);
    value = as.getLastName();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "lastName"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("lastName", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("lastName", value, propertyContext);
    value = as.getLogin();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "login"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("login", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("login", value, propertyContext);
    value = as.getSpecificId();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "specificId"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("specificId", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("specificId", value, propertyContext);
    value = as.getStatus();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "status"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("status", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("status", value, propertyContext);
    value = as.getUri();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "uri"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("uri", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("uri", value, propertyContext);
    value = as.getWebPage();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "webPage"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("webPage", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("webPage", value, propertyContext);
    value = as.geteMail();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IUserProfileAutoBean.this, "eMail"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("eMail", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("eMail", value, propertyContext);
  }
}
